{"templateId":"markdown","sharedDataIds":{},"props":{"metadata":{"markdoc":{"tagList":["admonition","code-snippet"]},"type":"markdown"},"seo":{"title":"Reactivating units","siteUrl":"https://developers.booking.com"},"dynamicMarkdocComponents":[],"compilationErrors":[],"ast":{"$$mdtype":"Tag","name":"article","attributes":{},"children":[{"$$mdtype":"Tag","name":"Heading","attributes":{"level":1,"id":"reactivating-units","__idx":0},"children":["Reactivating units"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Use the reactivation endpoint to restore deleted units in Rooms API."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"overview","__idx":1},"children":["Overview"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The reactivation endpoint allows you to restore a deleted unit. This is useful when you need to bring back a unit that was accidentally deleted or needs to be made available again."]},{"$$mdtype":"Tag","name":"Admonition","attributes":{"type":"warning","name":"Reactivation does not restore rates"},"children":[{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Reactivating a unit does ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["not"]}," restore its room-rates, inventory, or availability. The unit returns as an empty shell, and you must reconfigure it after reactivation. This is by design to ensure data consistency."]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"before-you-start","__idx":2},"children":["Before you start"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Before using the reactivation endpoint, ensure that:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["You have a valid unit ID of a deleted unit"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Your provider account is certified for unit reactivation. Contact the Booking.com support team if you need access."]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["You are prepared to reconfigure the unit after reactivation:",{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Use ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/room-type-and-rate-plan-management/managing-roomrates"},"children":["Managing room-rates"]}," to set up rates"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["Use ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/ari"},"children":["Rates & Availability"]}," to configure inventory and availability"]}]}]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["To find deleted units for a property, use the ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/rooms-api/managing-units#retrieving-deleted-units"},"children":["Get deleted units endpoint"]},"."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"reactivating-a-unit","__idx":3},"children":["Reactivating a unit"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"data-language":"http","header":{"controls":{"copy":{}}},"source":"PATCH\nhttps://supply-xml.booking.com/rooms-api/properties/{property-id}/units/{unit-id}/activate\n","lang":"http"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"path-parameters","__idx":4},"children":["Path parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following table describes the path parameters:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Parameter"},"children":["Parameter"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required"},"children":["Required"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["property-id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The unique identifier of the property"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["required"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["unit-id"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The unique identifier of the unit to reactivate"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["required"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"header-parameters","__idx":5},"children":["Header parameters"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following table describes the elements you can add in the header:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Header"},"children":["Header"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Required/Optional"},"children":["Required/Optional"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["Accept-Version"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Specify the version number to get the API functionality specific to that version."]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["optional"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"request-body","__idx":6},"children":["Request body"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This endpoint does not require a request body."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"request-example","__idx":7},"children":["Request example"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following example shows how to reactivate a unit:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-rq.txt","language":"http","header":{"controls":{"copy":{}}},"lang":"http","source":"PATCH /rooms-api/properties/1234567/units/813518812/activate HTTP/1.1\nHost: supply-xml.booking.com\nAuthorization: Bearer {JWT}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"response-body-example","__idx":8},"children":["Response body example"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following is a successful response when reactivating an inactive unit:"]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-rs.json","language":"json","header":{"controls":{"copy":{}}},"lang":"json","source":"{\n  \"warnings\": [\n    {\n      \"code\": 200,\n      \"message\": \"rates_not_restored\",\n      \"description\": \"Room-rates, inventory and availability were not restored. Please reconfigure the unit.\"\n    }\n  ],\n  \"errors\": [],\n  \"meta\": {\n    \"ruid\": \"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX\"\n  }\n}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"response-body-elements","__idx":9},"children":["Response body elements"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["The following table describes the response elements:"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Element"},"children":["Element"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Description"},"children":["Description"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Type"},"children":["Type"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Notes"},"children":["Notes"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["warnings"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains warning messages about the reactivation"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array of objects"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Always includes a warning about rates not being restored"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The warning code"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Short message identifier"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Human-readable warning message"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["errors"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains error messages if the request failed"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["array of objects"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Empty on success"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["code"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The error code"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["integer"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["message"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Short message identifier"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["description"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Human-readable error message"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"code","attributes":{},"children":["meta"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Contains metadata about the request"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["object"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":[]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":[{"$$mdtype":"Tag","name":"strong","attributes":{},"children":[">"]}," ",{"$$mdtype":"Tag","name":"code","attributes":{},"children":["ruid"]}]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["The unique request identifier"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["string"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Useful for troubleshooting"]}]}]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"behavior","__idx":10},"children":["Behavior"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"reactivating-an-inactive-unit","__idx":11},"children":["Reactivating an inactive unit"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["When you reactivate a deleted unit:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The unit is restored to active status"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["All room-rates, inventory, and availability are ",{"$$mdtype":"Tag","name":"strong","attributes":{},"children":["not"]}," restored"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The response includes a warning about rates not being restored"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["You must reconfigure the unit using ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/room-type-and-rate-plan-management/managing-roomrates"},"children":["Managing room-rates"]}," and ",{"$$mdtype":"Tag","name":"MarkdownLink","attributes":{"href":"/connectivity/docs/ari"},"children":["Rates & Availability"]}]}]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"reactivating-an-already-active-unit","__idx":12},"children":["Reactivating an already active unit"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["If you attempt to reactivate a unit that is already active:"]},{"$$mdtype":"Tag","name":"ol","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["No changes are made to the unit"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The response returns HTTP 200 (success)"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The response includes a warning that the unit is already active"]}]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["This idempotent behavior allows providers to safely retry requests without side effects."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-already-active-rs.json","language":"json","header":{"controls":{"copy":{}}},"lang":"json","source":"{\n  \"warnings\": [\n    {\n      \"code\": 200,\n      \"message\": \"unit_already_active\",\n      \"description\": \"Unit is already active. No changes were made.\"\n    }\n  ],\n  \"errors\": [],\n  \"meta\": {\n    \"ruid\": \"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX\"\n  }\n}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"error-responses","__idx":13},"children":["Error responses"]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"400-bad-request","__idx":14},"children":["400 Bad Request"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returned when the request contains validation errors."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-400-rs.json","language":"json","header":{"controls":{"copy":{}}},"lang":"json","source":"{\n  \"warnings\": [],\n  \"errors\": [\n    {\n      \"code\": 400,\n      \"message\": \"room_id.invalid\",\n      \"description\": \"Invalid unit ID format.\"\n    }\n  ],\n  \"meta\": {\n    \"ruid\": \"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX\"\n  }\n}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"401-unauthorized","__idx":15},"children":["401 Unauthorized"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returned when the credentials are invalid or missing."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"403-forbidden","__idx":16},"children":["403 Forbidden"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returned when:"]},{"$$mdtype":"Tag","name":"ul","attributes":{},"children":[{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The provider is not certified for unit reactivation"]},{"$$mdtype":"Tag","name":"li","attributes":{},"children":["The provider does not have authorization for the property"]}]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-403-rs.json","language":"json","header":{"controls":{"copy":{}}},"lang":"json","source":"{\n  \"warnings\": [],\n  \"errors\": [\n    {\n      \"code\": 450,\n      \"message\": \"Unable to process\",\n      \"description\": \"Unit activation is not allowed for provider. Please ask Booking.com support team for authorization process.\"\n    }\n  ],\n  \"meta\": {\n    \"ruid\": \"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX\"\n  }\n}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"404-not-found","__idx":17},"children":["404 Not Found"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returned when the property or unit does not exist."]},{"$$mdtype":"Tag","name":"CodeBlock","attributes":{"file":"/connectivity/docs/code/rooms-api/reactivate-unit-404-rs.json","language":"json","header":{"controls":{"copy":{}}},"lang":"json","source":"{\n  \"warnings\": [],\n  \"errors\": [\n    {\n      \"code\": 320,\n      \"message\": \"unit_not_exist\",\n      \"description\": \"Unit not found.\"\n    }\n  ],\n  \"meta\": {\n    \"ruid\": \"XXXXXXXX-XXXX-XXXX-XXXX-XXXXXXXXXXXX\"\n  }\n}\n"},"children":[]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":3,"id":"500-internal-server-error","__idx":18},"children":["500 Internal Server Error"]},{"$$mdtype":"Tag","name":"p","attributes":{},"children":["Returned when an unexpected error occurs while processing the request."]},{"$$mdtype":"Tag","name":"Heading","attributes":{"level":2,"id":"summary","__idx":19},"children":["Summary"]},{"$$mdtype":"Tag","name":"div","attributes":{"className":"md-table-wrapper"},"children":[{"$$mdtype":"Tag","name":"table","attributes":{"className":"md"},"children":[{"$$mdtype":"Tag","name":"thead","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"th","attributes":{"align":"left","data-label":"Scenario"},"children":["Scenario"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"HTTP Status"},"children":["HTTP Status"]},{"$$mdtype":"Tag","name":"th","attributes":{"data-label":"Result"},"children":["Result"]}]}]},{"$$mdtype":"Tag","name":"tbody","attributes":{},"children":[{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Reactivate deleted unit"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["200"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Unit activated, warning about rates not restored"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Reactivate already active unit"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["200"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["No-op, warning that unit is already active"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Invalid or missing credentials"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["401"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request rejected"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Provider not certified"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["403"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request rejected"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Unit or property does not exist"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["404"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request rejected"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Validation error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["400"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request rejected with error details"]}]},{"$$mdtype":"Tag","name":"tr","attributes":{},"children":[{"$$mdtype":"Tag","name":"td","attributes":{"align":"left"},"children":["Internal error"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["500"]},{"$$mdtype":"Tag","name":"td","attributes":{},"children":["Request rejected"]}]}]}]}]}]},"headings":[{"value":"Reactivating units","id":"reactivating-units","depth":1},{"value":"Overview","id":"overview","depth":2},{"value":"Before you start","id":"before-you-start","depth":2},{"value":"Reactivating a unit","id":"reactivating-a-unit","depth":2},{"value":"Path parameters","id":"path-parameters","depth":3},{"value":"Header parameters","id":"header-parameters","depth":3},{"value":"Request body","id":"request-body","depth":3},{"value":"Request example","id":"request-example","depth":3},{"value":"Response body example","id":"response-body-example","depth":3},{"value":"Response body elements","id":"response-body-elements","depth":3},{"value":"Behavior","id":"behavior","depth":2},{"value":"Reactivating an inactive unit","id":"reactivating-an-inactive-unit","depth":3},{"value":"Reactivating an already active unit","id":"reactivating-an-already-active-unit","depth":3},{"value":"Error responses","id":"error-responses","depth":2},{"value":"400 Bad Request","id":"400-bad-request","depth":3},{"value":"401 Unauthorized","id":"401-unauthorized","depth":3},{"value":"403 Forbidden","id":"403-forbidden","depth":3},{"value":"404 Not Found","id":"404-not-found","depth":3},{"value":"500 Internal Server Error","id":"500-internal-server-error","depth":3},{"value":"Summary","id":"summary","depth":2}],"frontmatter":{"excludeFromSearch":true,"seo":{"title":"Reactivating units"}},"lastModified":"2026-10-23T17:00:10.457Z","pagePropGetterError":{"message":"","name":""}},"slug":"/connectivity/docs/rooms-api/reactivating-units","userData":{"isAuthenticated":false,"teams":["anonymous"]},"isPublic":true}